Mac QGIS 3 & Python 3

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Mac QGIS 3 & Python 3

William Kyngesburye
I'm getting a lot of email about Python 3 on OS X.  I built QGIS to require the python.org Python 3.

Sorry, but you can't subsitute another python installation (ie homebrew or anaconda), QGIS links to the python library to run its own python interpreter, so it's not a simple path change or substitution.

I chose python.org as a reasonable "official" (it comes from python.org) and easy distribution, and to account for other distros would mean separate QGIS binaries needed, or link updating at install which would create problems for app signing when I get to that.

-----
William Kyngesburye <kyngchaos*at*kyngchaos*dot*com>
http://www.kyngchaos.com/

"I ache, therefore I am.  Or in my case - I am, therefore I ache."

- Marvin


_______________________________________________
Qgis-user mailing list
[hidden email]
List info: https://lists.osgeo.org/mailman/listinfo/qgis-user
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-user